## GMonitor cache

GMonitor cache — File monitor cache implementation.

## Functions

GFileMonitor * | fm_monitor_directory ()
GFileMonitor * | fm_monitor_lookup_monitor ()
GFileMonitor * | fm_monitor_lookup_dummy_monitor ()

## Description

`include` : libfm/fm.h

This implementation can help to exclude creation of duplicate monitors for the same file and also do fast search for created file monitors.

## Functions

### fm_monitor_directory ()

    GFileMonitor *
    fm_monitor_directory (GFile *gf,
                          GError **err);

Finds a monitor for directory `gf` in cache or creates new if there is no such monitor created yet.

#### Parameters

gf | file to monitor |
err | location to save error. | [allow-none][out]

#### Returns

a monitor object.

[transfer full]

Since: 0.1.0

### fm_monitor_lookup_monitor ()

    GFileMonitor *
    fm_monitor_lookup_monitor (GFile *gf);

Finds a monitor for directory `gf` in cache.

#### Parameters

gf | file to monitor |

#### Returns

a monitor object or `NULL`.

[transfer full]

Since: 0.1.0

### fm_monitor_lookup_dummy_monitor ()

    GFileMonitor *
    fm_monitor_lookup_dummy_monitor (GFile *gf);

Finds a monitor for not-native file `gf` in cache.

#### Parameters

gf | file to monitor |

#### Returns

a monitor object or `NULL`.

[transfer full]

Since: 0.1.0